Package com.google.android.exoplayer2.analytics

## Class PlaybackStats.EventTimeAndPlaybackState

- java.lang.Object
- - com.google.android.exoplayer2.analytics.PlaybackStats.EventTimeAndPlaybackState

- Enclosing class:
    PlaybackStats

      public static final class PlaybackStats.EventTimeAndPlaybackState
      extends Object

  Stores a playback state with the event time at which it became active.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `AnalyticsListener.EventTime` | `eventTime` | The event time at which the playback state became active.
    `@com.google.android.exoplayer2.analytics.PlaybackStats.PlaybackState int` | `playbackState` | The playback state that became active.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventTimeAndPlaybackState​(AnalyticsListener.EventTime eventTime, @com.google.android.exoplayer2.analytics.PlaybackStats.PlaybackState int playbackState)` | Creates a new timed playback state event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventTime

          public final AnalyticsListener.EventTime eventTime

      The event time at which the playback state became active.

    - #### playbackState

          public final @com.google.android.exoplayer2.analytics.PlaybackStats.PlaybackState int playbackState

      The playback state that became active.

  - ### Constructor Detail

    - #### EventTimeAndPlaybackState

          public EventTimeAndPlaybackState​(AnalyticsListener.EventTime eventTime,
                                           @com.google.android.exoplayer2.analytics.PlaybackStats.PlaybackState int playbackState)

      Creates a new timed playback state event.
      Parameters:
        `eventTime` - The event time at which the playback state became active.
        `playbackState` - The playback state that became active.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`